package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IFeedAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-09-22
 */
@RestController
@RequestMapping("/feed-area")
@CrossOrigin
public class FeedAreaController {

    @Autowired
    private IFeedAreaService feedAreaService;

    /*大屏接口*/
    @PostMapping("/feedType")
    public Result feedType(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedType(paramsMap);
    }

    @PostMapping("/feedList")
    public Result feedList(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedList(paramsMap);
    }

    @PostMapping("/feedNumber")
    public Result feedNumber(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedNumber(paramsMap);
    }

    @PostMapping("/feedStatus")
    public Result feedStatus(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedStatus(paramsMap);
    }

    @PostMapping("/reminderPig")
    public Result reminderPig(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.reminderPig(paramsMap);
    }

    @PostMapping("/listCount")
    public Result listCount(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.listCount(paramsMap);
    }

    @PostMapping("/listEnvStatus")
    public Result listEnvStatus(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.listEnvStatus(paramsMap);
    }

    /*后台接口*/
    @PostMapping("/feedEnvCount")
    public Result feedEnvCount(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedEnvCount(paramsMap);
    }

    @PostMapping("/feedEnvList")
    public Result feedEnvList(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedEnvList(paramsMap);
    }
    @PostMapping("/feedingList")
    public Result feedingList(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedingList(paramsMap);
    }

    @PostMapping("/feedingTypeCount")
    public Result feedingTypeCount(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedingTypeCount(paramsMap);
    }

    @PostMapping("/feedingDetail")
    public Result feedingDetail(@RequestBody Map<String, String> paramsMap) {
        return feedAreaService.feedingDetail(paramsMap);
    }
}
